program takmicenje;
var k, c, y,x : real;
var  i, n: integer;
begin
x:=0;
        read(n);
        for i := 1 to n do
        begin
                read(k) ;
                read(c);
                y:= (c-0.5) / k;
                if y > x then
                begin
                        x:=y;
                end;
        end;
write(x);
readln;
end.